package com.kingdee.eas.hr.project;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class WorkHoursReportEntryCollection extends AbstractObjectCollection 
{
    public WorkHoursReportEntryCollection()
    {
        super(WorkHoursReportEntryInfo.class);
    }
    public boolean add(WorkHoursReportEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(WorkHoursReportEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(WorkHoursReportEntryInfo item)
    {
        return removeObject(item);
    }
    public WorkHoursReportEntryInfo get(int index)
    {
        return(WorkHoursReportEntryInfo)getObject(index);
    }
    public WorkHoursReportEntryInfo get(Object key)
    {
        return(WorkHoursReportEntryInfo)getObject(key);
    }
    public void set(int index, WorkHoursReportEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(WorkHoursReportEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(WorkHoursReportEntryInfo item)
    {
        return super.indexOf(item);
    }
}